// testOptions.cxx

#include "testap3.h"

/* ================================
IDD_OPTIONSDLG DIALOGEX 0, 0, 186, 111
STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | WS_POPUP | WS_CAPTION | 
    WS_SYSMENU
CAPTION "OPTIONS"
FONT 8, "MS Shell Dlg", 400, 0, 0x1
BEGIN
    DEFPUSHBUTTON   "OK",IDOK,103,90,50,14
    PUSHBUTTON      "Cancel",IDCANCEL,43,90,50,14
    CONTROL         "Check1",IDC_CHECK1,"Button",BS_AUTOCHECKBOX |
                    WS_TABSTOP,7,7,172,14
    CONTROL         "Check2",IDC_CHECK2,"Button",BS_AUTOCHECKBOX | 
                    WS_TABSTOP,7,22,172,12
    CONTROL         "Check3",IDC_CHECK3,"Button",BS_AUTOCHECKBOX | 
                    WS_TABSTOP,7,39,172,11
    CONTROL         "Check4",IDC_CHECK4,"Button",BS_AUTOCHECKBOX | 
                    WS_TABSTOP,7,55,172,13
END
   ================================ */

INT_PTR dlg_OptionsInit( HWND hDlg )
{
   SetDlgItemText( hDlg, IDC_CHECK1, L"Auto reload last BMP" );
   CheckDlgButton( hDlg, IDC_CHECK1, gDoAuto );

   SetDlgItemText( hDlg, IDC_CHECK2, L"Swish Mode" );
   CheckDlgButton( hDlg, IDC_CHECK2, gSwMode );

   DisableControl( hDlg, IDC_CHECK3 );
   DisableControl( hDlg, IDC_CHECK4 );

   CenterWindow( hDlg, m_hMainWnd );
   return (INT_PTR)TRUE;
}

INT_PTR dlg_OptionsGet( HWND hDlg )
{
   UINT uChk;

   uChk = IsDlgButtonChecked( hDlg, IDC_CHECK1 );
   SetBoolItem( uChk, &gDoAuto, &gChgAut );
   uChk = IsDlgButtonChecked( hDlg, IDC_CHECK2 );
   SetBoolItem( uChk, &gSwMode, &gChgSwMd );

   return 0;
}
// Message handler for IDD_INFOVIEW box.
INT_PTR CALLBACK OPTIONS(HWND hDlg, UINT message, WPARAM wParam, LPARAM lParam)
{
	UNREFERENCED_PARAMETER(lParam);
   DWORD cmd = LOWORD(wParam);
	switch (message)
	{
	case WM_INITDIALOG:
      return dlg_OptionsInit( hDlg );

	case WM_COMMAND:
		if (cmd == IDOK || cmd == IDCANCEL)
		{
         if ( cmd == IDOK )
            dlg_OptionsGet( hDlg );

			EndDialog(hDlg, cmd);
			return (INT_PTR)TRUE;
		}
		break;
	}
	return (INT_PTR)FALSE;
}



void Do_ID_ACTION_OPTIONS( HWND hWnd )
{
   DialogBox(g_hInst, MAKEINTRESOURCE(IDD_OPTIONSDLG), hWnd, OPTIONS);
}
