// testStamp.h
#ifndef _testStamp_H_
#define _testStamp_H_

typedef struct TMSTAMP {
   long secs;
   long usec;
}TMSTAMP, * PTMSTAMP;

class TmStamp {
public:
   TmStamp();
   ~TmStamp();
   void stamp( PTMSTAMP pts );
   long elapsed( void );
   long elapsed( PTMSTAMP pts );
   // difference between time stamps in microseconds (usec)
   long timediff( PTMSTAMP a, PTMSTAMP b );
#ifdef WIN32
   void get_freq( LARGE_INTEGER * pli );
#endif   // WIN32
   void set_secs_struct( long usecs, PTMSTAMP pts );
   double get_secs_d( long usecs );
private:
   TMSTAMP init;
#ifdef WIN32
   BOOL  bGotHPT; // signal we have high performance timer
   LARGE_INTEGER freq;
   BOOL  bGotCnt;
   LARGE_INTEGER count;
#endif   // WIN32
};

#endif // _testStamp_H_
// eof - testStamp.h
