// testGlobal.h
#ifndef _testGlobal_H_
#define _testGlobal_H_

typedef struct tagGLOB {
   LE gl_Next;       // double linked LIST
   //PVOID gl_next;
   HINSTANCE gl_hInst;						// current instance
   TCHAR gl_szTitle[MAX_LOADSTRING];	// The title bar text
   TCHAR gl_szWindowClass[MAX_LOADSTRING];	// the main window class name
   HWND gl_hMainWnd;
   HWND gl_hStatusWnd;
   DWORD gl_dwStatusTicks;
   PVOID gl_BigBuf;
   PVOID gl_malloc;
   PVOID gl_globalloc;
   RECT  gl_Clip;
   BOOL  gl_bMakingClip;
   BOOL  gl_bSwishMode;
   POINT gl_ptMouse;
   BOOL  gl_FlagStretch;
   // TCHAR gl_szActBMP[264];
   BOOL  gl_bAnim;   // doing animation games
   HBITMAP gl_hBitmap;
   HBITMAP gl_hClipBMP; /* section of above BITMAP representing current CLIP */
   RECT gl_rcBMPRect;   /* and the RECTANGLE it represents */
   HANDLE  gl_hDIB;
   SIZE gl_sDIBSize;   /* Stores DIB dimensions */
   OPENFILENAME gl_sOpenFileName;
   TCHAR gl_szFileIn[264];
   TCHAR gl_szFileTitle[264];
   TCHAR gl_szDirIn[264];
   TCHAR gl_szInFile[264];
   TCHAR gl_szWinTitle[264];
   int gl_iInIndex;
   TCHAR gl_szStatusText[256];
   TCHAR gl_szTmpBuf[1024];

   BOOL gl_bChgII;

} GLOB, * PGLOB;

extern PGLOB pGlob;

extern BOOL  InitGlobal( void );
extern void FreeGlobal( void );

#define  G  (*pGlob)

#define m_BigBuf G.gl_BigBuf
#define m_malloc G.gl_malloc
//#define m_next G.gl_next
#define m_globalloc G.gl_globalloc

#define m_hInst   G.gl_hInst
#define  g_hInst  m_hInst

#define m_hMainWnd   G.gl_hMainWnd

#define m_Clip G.gl_Clip
#define m_FlagStretch G.gl_FlagStretch
#define m_hBitmap G.gl_hBitmap
#define m_hDIB G.gl_hDIB
#define m_sDIBSize G.gl_sDIBSize   /* Stores DIB dimensions */
#define m_hClipBMP G.gl_hClipBMP /* section of above BITMAP representing current CLIP */

#define m_sOpenFileName G.gl_sOpenFileName
#define m_szFileIn G.gl_szFileIn
#define m_szFileTitle G.gl_szFileTitle
#define m_szDirIn G.gl_szDirIn
#define m_szInFile G.gl_szInFile
#define m_iInIndex G.gl_iInIndex
#define m_bChgII G.gl_bChgII
// #define m_szActBMP G.gl_szActBMP
#define m_szTmpBuf G.gl_szTmpBuf
#define m_hStatusWnd G.gl_hStatusWnd
#define m_szStatusText G.gl_szStatusText
#define m_dwStatusTicks G.gl_dwStatusTicks
#define m_szWinTitle G.gl_szWinTitle
#define m_rcBMPRect G.gl_rcBMPRect   /* and the RECTANGLE it represents */
#define m_bMakingClip G.gl_bMakingClip
#define m_ptMouse G.gl_ptMouse
#define m_bAnim G.gl_bAnim   // doing animation games
#define m_bSwishMode G.gl_bSwishMode

#endif // _testGlobal_H_
// eof - testGlobal.h
