// testStatus.cxx

#include "testap3.h"

extern PTSTR GetFrameRate( void );

static TCHAR _s_tmpStatus[264];

void Do_ResizeStatus( HWND hWnd )
{
   if( m_hStatusWnd ) {
      RECT rc;

      GetClientRect( hWnd, &rc );

      LPARAM lp = MAKELONG(rc.right,14);

      SendMessage( m_hStatusWnd, WM_SIZE, 0, lp );
   }
}

void Set_StatusText( PTSTR ps )
{
   if( m_hStatusWnd ) {
      PTSTR cp = _s_tmpStatus;
      wsprintf( cp, L"%s - %s (%s)", ps, GetAnimString(), GetFrameRate() );
      if( lstrcmp( m_szStatusText, cp ) ) {
         lstrcpy( m_szStatusText, cp );
         SendMessage( m_hStatusWnd, SB_SETTEXT, 0, (LPARAM) cp );
      }
      m_dwStatusTicks = GetTickCount();
   }
}

void Do_StatusTimer( void )
{
   DWORD currticks = GetTickCount();
   if( ( currticks - m_dwStatusTicks ) >= TIMELIMIT ) {
      Set_StatusText( L"Ready" );
   }
}


// eof - testStatus.cxx
